<?php
session_start(); 

	if(!isset($_SESSION['linkarisecrm']))
	{
		header('Location: index.php');
		return;
	}
		$brmid=$_SESSION['linkarisebranchid'];
		$cmpmid=$_SESSION['linkarisecmpmid'];
		$lacrmusername = $_SESSION['linkariseufullname'];
		$lacrmumid=$_SESSION['linkariseumid'];
		$paymenttdid =$_SESSION['paymenttdid'];

	
	include("connect.php");
	
	date_default_timezone_set("Asia/Kolkata");
	$mdate1= date('Y-m-d H:i:s');
	$mdate2= date('d-m-Y');
	$mdate3= date('Y-m-d H:i:s');
	
	$lacrmusername = $_SESSION['lacrmusername'];
	$ipaddress = "";

	if (getenv('HTTP_CLIENT_IP'))
		$ipaddress = getenv('HTTP_CLIENT_IP');
	else if(getenv('HTTP_X_FORWARDED_FOR'))
		$ipaddress = getenv('HTTP_X_FORWARDED_FOR');
	else if(getenv('HTTP_X_FORWARDED'))
		$ipaddress = getenv('HTTP_X_FORWARDED');
	else if(getenv('HTTP_FORWARDED_FOR'))
		$ipaddress = getenv('HTTP_FORWARDED_FOR');
	else if(getenv('HTTP_FORWARDED'))
		$ipaddress = getenv('HTTP_FORWARDED');
	else if(getenv('REMOTE_ADDR'))
		$ipaddress = getenv('REMOTE_ADDR');
	else
		$ipaddress = 'UNKNOWN';
	
	$userserver=$_SERVER['HTTP_USER_AGENT'];
	$eve1 = "insert into res_user_log (lid,mobile,lastupdatedtime,pagename,taskname,ipaddress,useragentdetail) values(NULL,'$lacrmusername','$mdate1','Payment Receipt','Delete Payment Receipt','$ipaddress','$userserver')";
	$re1 = mysqli_query($conn, $eve1);


	$paymentinmid=$_POST['paymentinmid'];
	$partymid=$_POST['partymid'];
	$receiptrefrenceid=$_POST['receiptrefrenceid'];
	$receiptamount=$_POST['receiptamont'];
	$receiptmode=$_POST['receiptmode'];
	$receiptdetail=$_POST['receiptdetail'];
	
	
		
	if($receiptamount!=0)
	{
		 $query = "update res_paymentin_master set partymid='$partymid', receiptrefrenceid='$receiptrefrenceid', receiptdate='$mdate3', receiptamont='$receiptamount', cmpmid= '$cmpmid', receiptmode='$receiptmode', receiptdetail='$receiptdetail',updatedby='$lacrmumid',updatedon='$mdate1' where paymentinmid=$paymentinmid";
		if ($conn->query($query) === TRUE)
		{
		 $eve41 ="update res_paymenttransaction_detail set partymid='$partymid',cmpmid='$cmpmid',paymenttype='Payment In',paymentdate='$mdate3',paymentinamount='$receiptamount',paymentmode='$receiptmode',paymentdetail='$receiptdetail',updatedby='$lacrmumid',updatedon='$mdate1' where Paymentrefid=$paymentinmid";
			$re41 = mysqli_query($conn, $eve41); 
			
		}
			
		$_SESSION['msg'] = "Record has been updated successfully";	
	}
	else
	{
		$_SESSION['msg1'] = "Error";
	}
	header('Location: paymentreceipt.php');
?>